package com.ycgis.macall.personalcenter.p.callback;

/**
 * @Author macall
 * @Create 2020/1/7 0007
 * @Describe
 */
public interface RequestCallback<T> {
    void onStartRequest();

    /*成功*/
    void onRequestSuccess(T result);

    /*失败*/
    void onRequestFailure(Throwable e);
}
